export declare class ValueCache<T> {
    constructor(timeoutInMs: number);
    protected timeoutInMs: number;
    values: {
        [key: string]: T;
    };
    private setTimer;
    private onTimeout;
    clear(): void;
}
